Bug 2260798 - Review Request: plasma-workspace-x11 - Xorg support for Plasma
Summary: Review Request: plasma-workspace-x11 - Xorg support for Plasma
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL: https://invent.kde.org/plasma/plasma-...
Whiteboard:
Depends On: 2260793
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-01-29 00:36 UTC by Kevin Kofler
Modified: 2024-03-04 11:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-04 11:28:08 UTC
Type: ---
Embargoed:
sergio: fedora-review+


Attachments (Terms of Use)

Description Kevin Kofler 2024-01-29 00:36:53 UTC
Spec URL: https://repo.calcforge.org/review/plasma-workspace-x11.spec
SRPM URL: https://repo.calcforge.org/review/plasma-workspace-x11-5.92.0-1.fc40.src.rpm
Description: Xorg support for Plasma.
Fedora Account System Username: kkofler

Comment 1 Kevin Kofler 2024-01-29 00:40:45 UTC
This is part two of "unbreak KDE". Hopefully the last one. (At least, kwin and plasma-workspace are the only packages that are rebuilt in the ngompa/kde6-x11-unsupported Copr.)

Successful Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=112522760

Has a runtime-only dependency on kwin-x11 (see review bug #2260793).

Comment 2 Fedora Review Service 2024-01-29 00:56:39 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6969142
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2260798-plasma-workspace-x11/fedora-rawhide-x86_64/06969142-plasma-workspace-x11/fedora-review/review.txt

Found issues:

- No gcc, gcc-c++ or clang found in BuildRequires
  Read more: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/

Please know that there can be false-positives.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 3 Kevin Kofler 2024-01-29 01:05:13 UTC
The BuildRequires are copied from plasma-workspace. The Qt/KDE -devel files drag in gcc-c++ transitively, but I suppose I could add it explicitly.

Comment 4 Fabio Valentini 2024-01-29 09:06:51 UTC
Note:

This package has the same issue as kwin-x11 as noted here: https://bugzilla.redhat.com/show_bug.cgi?id=2260793#c9

Introducing it the way it is right now would break part of the the implementation of the Plasma 6 Change.

Comment 5 Kevin Kofler 2024-01-29 16:19:13 UTC
I do not think it actually would, see: https://bugzilla.redhat.com/show_bug.cgi?id=2260793#c10

Comment 6 Kevin Kofler 2024-01-29 18:11:06 UTC
> Introducing it the way it is right now would break part of the the implementation of the Plasma 6 Change.

No, it would not. I can prove it: https://bugzilla.redhat.com/show_bug.cgi?id=2260793#c13

Comment 7 Stephen Gallagher 2024-01-29 20:38:00 UTC
At today's meeting, FESCo agreed to a preliminary injunction while we consider this issue. Until otherwise notified, these packages (kwin-X11 and plasma-workspace-x11) may not be re-admitted to Fedora. This decision is NOT final, but FESCo needs time to consider what to do here.

https://pagure.io/fesco/issue/3165

Comment 8 Kevin Kofler 2024-02-07 14:21:30 UTC
As per https://bugzilla.redhat.com/show_bug.cgi?id=2260793#c24, a suggested longer %description:

%description
Support for the legacy X11 window system in KDE Plasma instead of the default Wayland. This package provides the legacy "Plasma (X11)" session type and the startplasma-x11 executable required by that session type. (It also contains a dependency on kwin-x11, the legacy X11 version of the KDE Window Manager (KWin).) This version is maintained by individual Fedora packagers and NOT supported by the Fedora KDE SIG. (See plasma-workspace-wayland for the default version, using Wayland, maintained by the KDE SIG.)

Comment 9 Kevin Kofler 2024-02-07 14:24:15 UTC
Though maybe it should say "in addition to" instead of "instead of", since this does NOT conflict with plasma-workspace-wayland and you will probably not be able to remove plasma-workspace-wayland due to dependencies.

Comment 10 Petr Menšík 2024-02-07 18:16:57 UTC
If it does not conflict with plasma-workspace-wayland, then yes, this package would add just additional session type. I would omit (It also contains a dependency on kwin-x11, the legacy X11 version of the KDE Window Manager (KWin).). This is would be visible from dnf or rpm -q. I would add brief description from upstream README.

%description
Plasma Workspace is used as the base for Plasma Desktop, Mobile, and Bigscreen.
It contains shared KCMs, applets as well as multiple libraries.

Support for the legacy X11 window system in KDE Plasma instead of the default Wayland.
This package provides the legacy "Plasma (X11)" session type and the startplasma-x11
executable required by that session type. This version is maintained by individual
Fedora packagers and NOT supported by the Fedora KDE SIG.

(See plasma-workspace-wayland for the default version, using Wayland, maintained by the KDE SIG.)

Comment 11 Alessandro Astone 2024-02-13 17:56:17 UTC
Can we coordinate this with https://src.fedoraproject.org/rpms/plasma-workspace/pull-request/29 and https://src.fedoraproject.org/rpms/kwin/pull-request/12 to avoid bumping the epoch here?

Comment 12 Kevin Kofler 2024-02-13 17:58:32 UTC
Yes, we can do that.

Comment 13 Sergio Basto 2024-02-15 00:11:56 UTC
(In reply to Alessandro Astone from comment #11)
> Can we coordinate this with
> https://src.fedoraproject.org/rpms/plasma-workspace/pull-request/29 and
> https://src.fedoraproject.org/rpms/kwin/pull-request/12 to avoid bumping the
> epoch here?

I would be grateful if this was done, it seems to me that it is the most rational 
but I think you need rebase the PR(s) 

best regards,

Comment 14 Alessandro Astone 2024-02-15 17:54:26 UTC
Done.

Comment 15 Sergio Basto 2024-02-16 01:20:44 UTC
from https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2260798-plasma-workspace-x11/fedora-rawhide-x86_64/06969142-plasma-workspace-x11/fedora-review/review.txt and reviewing the spec 

no issues found , BTW we may also need add SDDM-X11 if is not in this package ... 

please remove EPOCH before import the package 

PACKAGE APPROVED

Comment 16 Kevin Kofler 2024-02-16 01:43:56 UTC
Spec URL: https://repo.calcforge.org/review/plasma-workspace-x11.spec
SRPM URL: https://repo.calcforge.org/review/plasma-workspace-x11-5.92.0-7.fc40.src.rpm
Description:
Support for the legacy X11 window system in KDE Plasma, as opposed to the
default Wayland. This package provides the legacy "Plasma (X11)" session type
and the startplasma-x11 executable required by that session type. (Other
requirements such as kwin-x11 are found in the package dependencies.) The
session type can be switched between "Plasma (X11)" and the default "Plasma
(Wayland)" in the display manager (e.g., SDDM).

This version is maintained by individual Fedora packagers and NOT supported by
the Fedora KDE SIG. (See plasma-workspace-wayland for the default version, using
Wayland, maintained by the KDE SIG.)

Fedora Account System Username: kkofler

* Fri Feb 16 2024 Kevin Kofler <…> - 5.92.0-7
- Drop Epoch again, the Obsoletes in -wayland was tightened
- Explicitly BuildRequires: cmake and gcc-c++
- Improve %%description

This addresses the comments that have come up during review.

Comment 17 Kevin Kofler 2024-02-16 01:46:20 UTC
> BTW we may also need add SDDM-X11 if is not in this package ... 

SDDM still ships sddm-x11 for now. If they drop it, I will have to package that, too.

Comment 18 Sergio Basto 2024-02-16 11:22:11 UTC
(In reply to Kevin Kofler from comment #16)
> Spec URL: https://repo.calcforge.org/review/plasma-workspace-x11.spec
> SRPM URL:
> https://repo.calcforge.org/review/plasma-workspace-x11-5.92.0-7.fc40.src.rpm
> Description:
> Support for the legacy X11 window system in KDE Plasma, as opposed to the
> default Wayland. This package provides the legacy "Plasma (X11)" session type
> and the startplasma-x11 executable required by that session type. (Other
> requirements such as kwin-x11 are found in the package dependencies.) The
> session type can be switched between "Plasma (X11)" and the default "Plasma
> (Wayland)" in the display manager (e.g., SDDM).
> 
> This version is maintained by individual Fedora packagers and NOT supported
> by
> the Fedora KDE SIG. (See plasma-workspace-wayland for the default version,
> using
> Wayland, maintained by the KDE SIG.)
> 
> Fedora Account System Username: kkofler
> 
> * Fri Feb 16 2024 Kevin Kofler <…> - 5.92.0-7
> - Drop Epoch again, the Obsoletes in -wayland was tightened
> - Explicitly BuildRequires: cmake and gcc-c++
> - Improve %%description
> 
> This addresses the comments that have come up during review.

perfect please do: fedpkg request-repo 
https://docs.fedoraproject.org/en-US/package-maintainers/New_Package_Process_for_New_Contributors/#add_package_to_source_code_management_scm_system_and_set_owner

Comment 19 Fedora Admin user for bugzilla script actions 2024-02-17 22:33:26 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/plasma-workspace-x11


Note You need to log in before you can comment on or make changes to this bug.